//var consoleService = Components.classes['@mozilla.org/consoleservice;1'].getService(Components.interfaces.nsIConsoleService);
//consoleService.logStringMessage("1");

// Global prefs var
var gpref = Components.classes['@mozilla.org/preferences-service;1'].getService(Components.interfaces.nsIPrefBranch);


function loadOptions()
{
	try
	{	
		window.document.getElementById('wellrounded-urlbar').checked=gpref.getBoolPref('wellrounded.urlbar');
		window.document.getElementById('wellrounded-searchbar').checked=gpref.getBoolPref('wellrounded.searchbar');
		window.document.getElementById('wellrounded-menulist').checked=gpref.getBoolPref('wellrounded.menulist');
		window.document.getElementById('wellrounded-textbox').checked=gpref.getBoolPref('wellrounded.textbox');
		window.document.getElementById('wellrounded-find').checked=gpref.getBoolPref('wellrounded.find');
		window.document.getElementById('wellrounded-history').checked=gpref.getBoolPref('wellrounded.history');
		window.document.getElementById('wellrounded-bookmarks').checked=gpref.getBoolPref('wellrounded.bookmarks');
	}
	catch (e)
	{
		//this.dumpErr(e)
	}

	return true;
}

function saveOptions()
{	
	try
	{
		gpref.setBoolPref('wellrounded.urlbar', Boolean(window.document.getElementById('wellrounded-urlbar').checked));
		gpref.setBoolPref('wellrounded.searchbar', Boolean(window.document.getElementById('wellrounded-searchbar').checked));
		gpref.setBoolPref('wellrounded.menulist', Boolean(window.document.getElementById('wellrounded-menulist').checked));
		gpref.setBoolPref('wellrounded.textbox', Boolean(window.document.getElementById('wellrounded-textbox').checked));
		gpref.setBoolPref('wellrounded.find', Boolean(window.document.getElementById('wellrounded-find').checked));
		gpref.setBoolPref('wellrounded.history', Boolean(window.document.getElementById('wellrounded-history').checked));
		gpref.setBoolPref('wellrounded.bookmarks', Boolean(window.document.getElementById('wellrounded-bookmarks').checked));
		
	}
	catch (e)
	{
		//this.dumpErr(e)
	}
	return true;
}


// Set the attributes according to preferences
window.addEventListener('load',
	
	function()
	{
		var i, n_elems, elems = document.getElementsByTagName("textbox");

		for (i = 0; i < elems.length; i++)
		{
			switch(elems[i].id)
			{
				case "urlbar":
					elems[i].setAttribute('wellrounded',gpref.getBoolPref('wellrounded.urlbar'));
					break;
				case "find-field":
					elems[i].setAttribute('wellrounded',gpref.getBoolPref('wellrounded.find'));
					break;
				default :
					elems[i].setAttribute('wellrounded',gpref.getBoolPref('wellrounded.textbox'));
					break;
			}
		}

		elems = document.getElementsByTagName("menulist");

		for (i = 0; i < elems.length; i++)
		{
			switch(elems[i].id)
			{
				case "something":
					break;
				default :
					elems[i].setAttribute('wellrounded',gpref.getBoolPref('wellrounded.menulist'));
					break;
			}			
			
		}		
   
		var searchcontainer = document.getElementById('search-container')
		searchcontainer.setAttribute('wellrounded',gpref.getBoolPref('wellrounded.searchbar'));		

		var findtoolbar = document.getElementById('FindToolbar')
		findtoolbar.setAttribute('wellrounded',gpref.getBoolPref('wellrounded.find'));
		
		/*document.getElementById('navigator-toolbox').setAttribute('wellrounded-searchbar',gpref.getBoolPref('wellrounded.searchbar'));
		document.getElementById('navigator-toolbox').setAttribute('wellrounded-menulist',gpref.getBoolPref('wellrounded.menulist'));
		document.getElementById('navigator-toolbox').setAttribute('wellrounded-textbox',gpref.getBoolPref('wellrounded.textbox'));
		document.getElementById('FindToolbar').setAttribute('wellrounded-find',gpref.getBoolPref('wellrounded.find'));*/
		
	}, false
	
); // end window.addEventListener('load'...)

